
// SDK_Ref_win32Dlg.h : header file
//

#pragma once


// CSDK_Ref_win32Dlg dialog
class CSDK_Ref_win32Dlg : public CDialogEx
{
// Construction
public:
	CSDK_Ref_win32Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SDK_REF_WIN32_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedBtnForward();
	afx_msg void OnBnClickedBtnLeft();
	afx_msg void OnBnClickedBtnBack();
	afx_msg void OnBnClickedBtnRight();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	double m_info_yaw;
	double m_info_y;
	double m_info_x;
	UINT m_info_battery;
	CString m_info_action_status;
	CString m_info_fw_version;
	CString m_info_sdk_version;
	afx_msg void OnBnClickedBtnMove();
	afx_msg void OnBnClickedBtnStop();
	CString m_dest_x;
	CString m_dest_y;
	CStatic m_pic_map;
	// draw map based on the data from Slamware
	void drawMap(void);
};
